Subject: bug#8506: 24.0.50; Wrong column count

From: Eli Barzilay <[email-masked]>
Date: Fri, 15 Apr 2011 11:24:49 -0400

25 minutes ago, Eli Zaretskii wrote:
> [...]
> This is intentional.
> [...]
> 
> However, at least on my machine, with "Arial Unicode MS" font, the
> character actually displays thinner than normal, so perhaps the font
> is wrong.

Yeah, I have a similarly narrower rendering, using Consolas.

> OTOH, this page:
> 
>   http://en.wikipedia.org/wiki/Bracket
> 
> says that these two characters "are canonically equivalent to the
> CJK code points U+300x and thus likely to render as double-width
> symbols".
> 
> Unless someone comes up with a good reason why we should change the
> width of this character in char-width-table, or there are other
> characters which somehow defeat the column numbers, I suggest to
> close this bug.

Maybe add an option to make the column count ignore these widths
(which could also be used if you want it to be faster)?

-- 
          ((lambda (x) (x x)) (lambda (x) (x x)))          Eli Barzilay:
                    http://barzilay.org/                   Maze is Life!